<?xml version="1.0" encoding="UTF-8"?>
<project default="compile" basedir="." name="Lang" >

    <property name="src"         value="src" />
    <property name="classes"     value="classes" />
    <property name="deprecation" value="1" />

    <target name="compile">
        <mkdir dir="${classes}" ></mkdir>
        <javac deprecation="${compile.deprecation}" destdir="${classes}" debug="${compile.debug}" srcdir="${src}" optimize="${compile.optimize}" source="1.4" target="1.4" nowarn="no" >
        </javac>
    </target>
    <target name="test">
	<java classname="de.metux.espresso.test.main" classpath="${classes}" />
    </target>
    <target depends="compile,test" name="all" description="Clean and compile all components" ></target>
</project>
